1. Are you ready for the Galaxy S20? Here is everything we know so far!

Support New Nexus 7 FHD

Discussion in 'Android Devices' started by dta316, Aug 2, 2013.

  1. dta316

    dta316 Lurker
    Thread Starter

    I am getting the Device is not compatable message in the Google Play Store when I try to install Asphalt 7 and NFS MOST WANTED. Has anyone else experienced this? What is the fix?
     

    Advertisement

  2. androidpod

    androidpod Well-Known Member

    Welcome to the Forums :)

    I can confirm that Asphalt 7 is not compatible. I would venture to say it's because we are running Android 4.3 on the Nexus 7.2.

    My guess would be that the developer has yet to update to suite v4.3 and it's likely that it will be done sometime soon.
     
  3. palmtree5

    palmtree5 Sunny Vacation Supporter!
    Moderator

    With 4.3 and the new N7 just being released, my guess is the devs on both of those are likely working to update them to support these. I wouldn't be surprised if there are other apps too

    Also, welcome to the forums!! :)
     
  4. tedpc01

    tedpc01 Well-Known Member

    I've personally seen the same messages and yes, it'll take time to update the apps. I too want to play NFS on that high-def screen!
     
Loading...
Similar Threads - Nexus FHD
  1. ivant
    Replies:
    5
    Views:
    2,335
  2. CLINT_FLICK
    Replies:
    0
    Views:
    141
  3. Cyberdev
    Replies:
    0
    Views:
    4,568
  4. Cyberdev
    Replies:
    1
    Views:
    3,162
  5. Cyberdev
    Replies:
    0
    Views:
    868
  6. Cyberdev
    Replies:
    5
    Views:
    5,937
  7. Cyberdev
    Replies:
    5
    Views:
    394
  8. Cyberdev
    Replies:
    0
    Views:
    195
  9. Cyberdev
    Replies:
    1
    Views:
    303
  10. Cyberdev
    Replies:
    0
    Views:
    5,660

Share This Page

Loading...